
%global meadversion 4.2.27
%global namedversion 4.2.27.Final-redhat-1
%global meadalpha .Final_redhat_1
%global meadrel .1
%global serial 1
%global namedversionrel redhat-1

%bcond_without c3p0
%bcond_without mead

%global major 4
%global eap -eap6

%define maven_version 4.2.27.Final-redhat-1

Name:           hibernate%{?major}%{?eap}
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Relational persistence and query service
License:        LGPLv2+
Group:          Development/Java

%if %with mead
Source100: hibernate-project-4.2.27.Final-redhat-1-scm-sources.zip
Source102: hibernate-infinispan-4.2.27.Final-redhat-1-tests.jar
Source103: hibernate-infinispan-4.2.27.Final-redhat-1-sources.jar
Source104: hibernate-infinispan-4.2.27.Final-redhat-1.pom
Source105: hibernate-infinispan-4.2.27.Final-redhat-1.jar
Source106: hibernate-infinispan-4.2.27.Final-redhat-1-test-sources.jar
Source107: hibernate-release-4.2.27.Final-redhat-1.pom
Source108: hibernate-release-4.2.27.Final-redhat-1.zip
Source109: hibernate-proxool-4.2.27.Final-redhat-1-sources.jar
Source110: hibernate-proxool-4.2.27.Final-redhat-1.jar
Source111: hibernate-proxool-4.2.27.Final-redhat-1.pom
Source112: hibernate-core-4.2.27.Final-redhat-1.pom
Source113: hibernate-core-4.2.27.Final-redhat-1.jar
Source114: hibernate-core-4.2.27.Final-redhat-1-sources.jar
Source115: hibernate-entitymanager-4.2.27.Final-redhat-1.jar
Source116: hibernate-entitymanager-4.2.27.Final-redhat-1.pom
Source117: hibernate-entitymanager-4.2.27.Final-redhat-1-sources.jar
Source118: hibernate-osgi-4.2.27.Final-redhat-1.pom
Source119: hibernate-osgi-4.2.27.Final-redhat-1-sources.jar
Source120: hibernate-osgi-4.2.27.Final-redhat-1.jar
Source121: hibernate-testing-4.2.27.Final-redhat-1-sources.jar
Source122: hibernate-testing-4.2.27.Final-redhat-1.pom
Source123: hibernate-testing-4.2.27.Final-redhat-1.jar
Source124: hibernate-gradle-plugin-4.2.27.Final-redhat-1.pom
Source125: hibernate-gradle-plugin-4.2.27.Final-redhat-1-sources.jar
Source126: hibernate-gradle-plugin-4.2.27.Final-redhat-1.jar
Source127: hibernate-project-4.2.27.Final-redhat-1-javadoc.jar
Source128: hibernate-project-4.2.27.Final-redhat-1.pom
Source129: hibernate-project-4.2.27.Final-redhat-1-project-sources.tar.gz
Source130: hibernate-ehcache-4.2.27.Final-redhat-1-sources.jar
Source131: hibernate-ehcache-4.2.27.Final-redhat-1.pom
Source132: hibernate-ehcache-4.2.27.Final-redhat-1.jar
Source133: hibernate-enhance-maven-plugin-4.2.27.Final-redhat-1.jar
Source134: hibernate-enhance-maven-plugin-4.2.27.Final-redhat-1-sources.jar
Source135: hibernate-enhance-maven-plugin-4.2.27.Final-redhat-1.pom
Source136: hibernate-c3p0-4.2.27.Final-redhat-1-sources.jar
Source137: hibernate-c3p0-4.2.27.Final-redhat-1.pom
Source138: hibernate-c3p0-4.2.27.Final-redhat-1.jar
Source139: hibernate-envers-4.2.27.Final-redhat-1.jar
Source140: hibernate-envers-4.2.27.Final-redhat-1.pom
Source141: hibernate-envers-4.2.27.Final-redhat-1-sources.jar
%endif

URL:            http://www.hibernate.org/
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/hibernate-orm%{?eap}-%{namedversion}-%{release}-root

%description
Hibernate is a powerful, ultra-high performance object/relational
persistence and query service for Java. Hibernate lets you develop
persistent objects following common Java idiom - including
association, inheritance, polymorphism, composition and the Java
collections framework. Extremely  fine-grained, richly typed object
models are  possible. The Hibernate Query Language, designed as a
"minimal" object-oriented extension to SQL, provides an elegant
bridge between the object and  relational worlds. Hibernate is now
the most popular ORM solution for Java.

%package -n hibernate%{?major}-core%{?eap}
Summary:        Hibernate Core
Group:          Development/Java

Provides:       hibernate-core%{?eap} = %{epoch}:%{version}-%{release}

%description -n hibernate%{?major}-core%{?eap}
Hibernate Core module.

%package -n hibernate%{?major}-c3p0%{?eap}
Summary:        Hibernate C3p0
Group:          Development/Java

Provides:       hibernate-c3p0%{?eap} = %{epoch}:%{version}-%{release}
Requires:       hibernate%{?major}-core%{?eap} = %{epoch}:%{version}-%{release}

%description -n hibernate%{?major}-c3p0%{?eap}
Hibernate C3p0 module.

%package -n hibernate%{?major}-entitymanager%{?eap}
Summary:        Hibernate EntityManager
Group:          Development/Java

Provides:       hibernate-entitymanager%{?eap} = %{epoch}:%{version}-%{release}
Requires:       hibernate%{?major}-core%{?eap} = %{epoch}:%{version}-%{release}

%description -n hibernate%{?major}-entitymanager%{?eap}
Hibernate EntityManager module.

%package -n hibernate%{?major}-envers%{?eap}
Summary:        Hibernate Envers
Group:          Development/Java

Provides:       hibernate-envers%{?eap} = %{epoch}:%{version}-%{release}
Requires:       hibernate%{?major}-core%{?eap} = %{epoch}:%{version}-%{release}
Requires:       hibernate%{?major}-entitymanager%{?eap} = %{epoch}:%{version}-%{release}

%description -n hibernate%{?major}-envers%{?eap}
Hibernate Envers module.

%package -n hibernate%{?major}-infinispan%{?eap}
Summary:        Hibernate Infinispan
Group:          Development/Java

Provides:       hibernate-infinispan%{?eap} = %{epoch}:%{version}-%{release}
Requires:       hibernate%{?major}-core%{?eap} = %{epoch}:%{version}-%{release}

%description -n hibernate%{?major}-infinispan%{?eap}
Hibernate Infinispan module.

%package zip
Summary:        Zip distribution of Hibernate for JWS
Group:          Development/Java

Provides:       hibernate-eap6-zip = %{epoch}:%{version}-%{release}
BuildRequires:  zip
BuildRequires:  unzip

%description zip
%{summary}.

%prep
%setup -q -n hibernate-core -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# zip file structure
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}-fordev/hibernate-release-%{namedversion}/lib/envers
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}-fordev/hibernate-release-%{namedversion}/lib/jpa
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}-fordev/hibernate-release-%{namedversion}/lib/optional/c3p0
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}-fordev/hibernate-release-%{namedversion}/lib/required
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}-fordev/hibernate-release-%{namedversion}/etc
# zip text files
%{__cp} -p changelog.txt hibernate_logo.gif lgpl.txt \
           %{buildroot}%{_javadir}/%{name}-fordev/hibernate-release-%{namedversion}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}/%{name}
%{__cp} -p %{_sourcedir}/hibernate-core-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/hibernate-core-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/hibernate-core-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/hibernate-core-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/hibernate-core-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-fordev/hibernate-release-%{namedversion}/lib/required/
%{__cp} -p %{_sourcedir}/hibernate-core-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}-fordev/hibernate-release-%{namedversion}/lib/required/
%if %with c3p0
%{__cp} -p %{_sourcedir}/hibernate-c3p0-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/hibernate-c3p0-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/hibernate-c3p0-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/hibernate-c3p0-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/hibernate-c3p0-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-fordev/hibernate-release-%{namedversion}/lib/optional/c3p0/
%{__cp} -p %{_sourcedir}/hibernate-c3p0-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}-fordev/hibernate-release-%{namedversion}/lib/optional/c3p0/
%endif
%{__cp} -p %{_sourcedir}/hibernate-entitymanager-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/hibernate-entitymanager-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/hibernate-entitymanager-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/hibernate-entitymanager-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/hibernate-entitymanager-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-fordev/hibernate-release-%{namedversion}/lib/jpa/
%{__cp} -p %{_sourcedir}/hibernate-entitymanager-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}-fordev/hibernate-release-%{namedversion}/lib/jpa/
%{__cp} -p %{_sourcedir}/hibernate-envers-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/hibernate-envers-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/hibernate-envers-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/hibernate-envers-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/hibernate-envers-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}-fordev/hibernate-release-%{namedversion}/lib/envers/
%{__cp} -p %{_sourcedir}/hibernate-envers-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}-fordev/hibernate-release-%{namedversion}/lib/envers/
# The infinispan part is just for EAP so it does not go into the ZIP
%{__cp} -p %{_sourcedir}/hibernate-infinispan-%{namedversion}.jar %{buildroot}%{_javadir}/%{name}/hibernate-infinispan-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/hibernate-infinispan-%{namedversion}-sources.jar %{buildroot}%{_javadir}/%{name}/hibernate-infinispan-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir}/%{name} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# etc
%{__mkdir_p} %{buildroot}%{_sysconfdir}/%{name}
%{__cp} -p etc/* %{buildroot}%{_sysconfdir}/%{name}
%{__cp} -p etc/* %{buildroot}%{_javadir}/%{name}-fordev/hibernate-release-%{namedversion}/etc/

# zip
pushd %{buildroot}%{_javadir}/%{name}-fordev/
%{_bindir}/zip -r hibernate-dist-%{namedversion}.zip hibernate-release-%{namedversion}/*
popd
%{__rm} -rf %{buildroot}%{_javadir}/%{name}-fordev/hibernate-release-%{namedversion}


%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/ehcache.xml
%config(noreplace) %{_sysconfdir}/%{name}/hibernate-service.xml
%config(noreplace) %{_sysconfdir}/%{name}/hibernate.cfg.xml
%config(noreplace) %{_sysconfdir}/%{name}/hibernate.properties
%config(noreplace) %{_sysconfdir}/%{name}/hibernate.properties.template
%config(noreplace) %{_sysconfdir}/%{name}/log4j.properties

%files -n hibernate%{?major}-core%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/hibernate-core-%{namedversion}.jar
%{_javadir}/%{name}/hibernate-core.jar
%{_javadir}/%{name}/hibernate-core-%{namedversion}-sources.jar
%{_javadir}/%{name}/hibernate-core-sources.jar

%if %with c3p0
%files -n hibernate%{?major}-c3p0%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/hibernate-c3p0-%{namedversion}.jar
%{_javadir}/%{name}/hibernate-c3p0.jar
%{_javadir}/%{name}/hibernate-c3p0-%{namedversion}-sources.jar
%{_javadir}/%{name}/hibernate-c3p0-sources.jar
%endif

%files -n hibernate%{?major}-entitymanager%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/hibernate-entitymanager-%{namedversion}.jar
%{_javadir}/%{name}/hibernate-entitymanager.jar
%{_javadir}/%{name}/hibernate-entitymanager-%{namedversion}-sources.jar
%{_javadir}/%{name}/hibernate-entitymanager-sources.jar

%files -n hibernate%{?major}-envers%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/hibernate-envers-%{namedversion}.jar
%{_javadir}/%{name}/hibernate-envers.jar
%{_javadir}/%{name}/hibernate-envers-%{namedversion}-sources.jar
%{_javadir}/%{name}/hibernate-envers-sources.jar

%files -n hibernate%{?major}-infinispan%{?eap}
%defattr(0644,root,root,0755)
%{_javadir}/%{name}/hibernate-infinispan-%{namedversion}.jar
%{_javadir}/%{name}/hibernate-infinispan.jar
%{_javadir}/%{name}/hibernate-infinispan-%{namedversion}-sources.jar
%{_javadir}/%{name}/hibernate-infinispan-sources.jar

%files zip
%defattr(0644,root,root,0755)
%dir %{_javadir}
%dir %{_javadir}/%{name}-fordev
%{_javadir}/%{name}-fordev/hibernate-dist-%{namedversion}.zip


%changelog
* Thu Jun 29 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 4.2.27-1.Final_redhat_1.1
- Upgrade to 4.2.27.Final

* Wed Mar 29 2017 Vladimir Dosoudil <vdosoudi@redhat.com> - 4.2.26-1.Final_redhat_1.1
- Upgrade to 4.2.26.Final

* Fri Mar 17 2017 Fernando Nasser <fnasser@redhat.com> - 4.2.25-3.Final_redhat_1.1
- Add a zip for JWS distribution

* Mon Oct 24 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 4.2.25-1.Final_redhat_1.1
- Upgrade to 4.2.25.Final

* Tue Jul 26 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 4.2.24-1.Final_redhat_1.1
- Upgrade to 4.2.24.Final

* Thu Apr 14 2016 Petr Sakar <psakar@redhat.com> - 4.2.23-1.Final_redhat_1.1
- upgrade to 4.2.23.Final-redhat-1

* Tue Dec 08 2015 Neil Wallace <nwallace@redhat.com> - 4.2.22-1.Final_redhat_1.1
- Upgrade to 4.2.22.Final

* Mon Oct 26 2015 David Stahl <dstahl@redhat.com> - 4.2.21-1.Final_redhat_1.1
- BZ1259122 Upgrade to 4.2.21.Final-redhat-1

* Mon Jul 27 2015 David Stahl <dstahl@redhat.com> - 4.2.20-1.Final_redhat_1.1
- BZ1232160 Update to 4.2.20.Final-redhat-1

* Fri May 01 2015 David Stahl <dstahl@redhat.com> - 4.2.19-1.Final_redhat_1.1
- BZ1196113 Upgrade to 4.2.19.Final-redhat-1

* Fri May 01 2015 David Stahl <dstahl@redhat.com> - 4.2.18-3.Final_redhat_2.1
- BZ1196113 Upgrade to 4.2.19.Final-redhat-1

* Fri May 01 2015 David Stahl <dstahl@redhat.com> - 4.2.18-3.Final_redhat_2.1
- BZ1196113 Upgrade to 4.2.19.Final-redhat-1

* Fri Feb 20 2015 David Stahl <dstahl@redhat.com> - 4.2.18-2.Final_redhat_2.1
- BZ1017619 4.2.18.Final-redhat-2
   - Update dependencies with invalid OSGi versions

* Thu Jan 29 2015 David Stahl <dstahl@redhat.com> - 4.2.18-1.Final_redhat_1.1
- BZ1182265 Upgrade to 4.2.18.Final-redhat-1

* Mon Jan 05 2015 David Stahl <dstahl@redhat.com> - 4.2.17-1.Final_redhat_1.1
- BZ1173454 Upgrade to 4.2.17.Final-redhat-1

* Thu Nov 20 2014 David Stahl <dstahl@redhat.com> - 4.2.16-1.Final_redhat_1.1
- BZ1121629 Upgrade to 4.2.16.Final-redhat-1

* Wed Oct 08 2014 David Stahl <dstahl@redhat.com> - 4.2.14-9.SP4_redhat_1.1
- [BZ-1145704] Update to 4.2.14.SP4-redhat-1

* Thu Aug 28 2014 David Stahl <dstahl@redhat.com> - 4.2.14-8.SP3_redhat_1.1
- [BZ-1134747] Upgrade to 4.2.14.SP3-redhat-1

* Mon Aug 18 2014 David Stahl <dstahl@redhat.com> - 4.2.14-7.SP2_redhat_1.1
- [BZ-1121630] Update to 4.2.14.SP2-redhat-1

* Fri Jul 25 2014 David Stahl <dstahl@redhat.com> - 4.2.14-6.SP1_redhat_4.1
- [BZ-1117235] - Respin with new c3p0 jar

* Tue Jul 22 2014 David Stahl <dstahl@redhat.com> - 4.2.14-5.SP1_redhat_3.1
- [BZ-1117235] Respin with c3p0 0.9.1.2-redhat-1

* Mon Jul 21 2014 David Stahl <dstahl@redhat.com> - 4.2.14-4.SP1_redhat_2.1
- [BZ-1117235] Respin with updated c3p0 jar

* Thu Jul 17 2014 David Walluck <dwalluck@redhat.com> - 4.2.14-3.SP1_redhat_1.1
- fix Provides

* Wed Jul 02 2014 David Stahl <dstahl@redhat.com> - 4.2.14-2.SP1_redhat_1.1
- [BZ-1111725] Upgrade to 4.2.14.SP1-redhat-1

* Wed Jun 25 2014 David Stahl <dstahl@redhat.com> - 4.2.14-1.Final_redhat_1.1
- [BZ-1111725] Update to 4.2.14.Final-redhat-1

* Thu May 29 2014 David Stahl <dstahl@redhat.com> - 4.2.13-1.Final_redhat_1.1
- [BZ-1100862] - Upgrade to 4.2.13.Final-redhat-1

* Tue May 13 2014 David Stahl <dstahl@redhat.com> - 4.2.12-2.Final_redhat_1.1
- Rewrap with c3p0 subpackage

* Tue May 13 2014 David Stahl <dstahl@redhat.com> - 4.2.12-2.Final_redhat_1.1
- Enable c3p0 subpackage

* Wed Apr 09 2014 David Stahl <dstahl@redhat.com> - 4.2.12-1.Final_redhat_1.1
- Update to 4.2.12.Final-redhat-1

* Thu Mar 20 2014 David Stahl <dstahl@redhat.com> - 4.2.11-1.Final_redhat_1.1
- 

* Tue Dec 10 2013 Fernando Nasser <fnasser@redhat.com> - 4.2.7-11.SP2_redhat_1.1
- Finally do a RHEL-7 wrapper

* Tue Dec 10 2013 Fernando Nasser <fnasser@redhat.com> - 4.2.7-11.SP2_redhat_1.1
- Finally do a RHEL-7 wrapper

* Tue Dec 10 2013 Fernando Nasser <fnasser@redhat.com> - 4.2.7-11.SP2_redhat_1.1
- Finally do a RHEL-7 wrapper

* Tue Dec 10 2013 Fernando Nasser <fnasser@redhat.com> - 4.2.7-11.SP2_redhat_1.1
- Finally do a RHEL-7 wrapper

* Tue Dec 10 2013 Fernando Nasser <fnasser@redhat.com> - 4.2.7-11.SP2_redhat_1.1
- Finally do a RHEL-7 wrapper

* Tue Dec 10 2013 Fernando Nasser <fnasser@redhat.com> - 4.2.7-10.SP2_redhat_1.1
- Test of automatic RHEL-7 wrapper builds

* Tue Dec 10 2013 Fernando Nasser <fnasser@redhat.com> - 4.2.7-10.SP2_redhat_1.1
- Test of automatic RHEL-7 wrapper builds

* Mon Dec 09 2013 Fernando Nasser <fnasser@redhat.com> - 4.2.7-9.SP2_redhat_1.1
- Re-wrap tp get RHEL-7 build done

* Mon Dec 09 2013 Fernando Nasser <fnasser@redhat.com> - 4.2.7-9.SP2_redhat_1.1
- Re-wrap tp get RHEL-7 build done

* Mon Dec 09 2013 Fernando Nasser <fnasser@redhat.com> - 4.2.7-8.SP2_redhat_1.1
- Wrap new built in MEAD build of hibernate4

* Mon Dec 09 2013 Fernando Nasser <fnasser@redhat.com> - 4.2.7-8.SP2_redhat_1.1
- Wrap new built in MEAD build of hibernate4

* Fri Nov 15 2013 Dustin Kut Moy Cheung <dcheung@redhat.com> - 4.2.7-6.4.SP2_redhat_1%{nil}
- Plain re-wrap

* Thu Nov 14 2013 Fernando Nasser <fnasser@redhat.com> - 4.2.7-5.4.SP2_redhat_1%{nil}
- Plain re-wrap

* Wed Nov 13 2013 Fernando Nasser <fnasser@redhat.com> - 4.2.7-4.4.SP2_redhat_1%{nil}
- Wrap SP2 build

* Mon Nov 11 2013 Fernando Nasser <fnasser@redhat.com> - 4.2.7-3.3.SP1_redhat_3%{nil}
- Rewrap hibernate4 built by pgier

* Thu Nov 07 2013 Fernando Nasser <fnasser@redhat.com> - 4.2.7-2.2.SP1_redhat_2%{nil}
Wrap new hibernate4 build

* Tue Sep 03 2013 David Walluck <dwalluck@redhat.com> - 4.2.0-3.7.SP1_redhat_1%{nil}
- update for 4.2.5.Final

* Fri Jul 26 2013 David Walluck <dwalluck@redhat.com> - 4.2.0-2.7.SP1_redhat_1%{nil}
- change suffix macro name

* Fri Jul 26 2013 David Walluck <dwalluck@redhat.com> - 4.2.0-2.7.SP1_redhat_1%{nil}
- fix package names
- add minimal dependencies between subpackages

* Fri Jul 26 2013 David Walluck <dwalluck@redhat.com> 0:4.2.0-1
- release
